# -*- coding: utf-8 -*-
from __future__ import unicode_literals
# Erik Stein <code@classlibrary.net>, 2016


class Asynchronous(object):
    """
    A strategy that queue's the generation right when the file is saved.

    """

    def on_source_saved(self, file):
        file.generate()

    def should_verify_existence(self, file):
        return True

    # def on_existence_required(self, file):
    #     file.generate()

    # def on_content_required(self, file):
    #     file.generate()
